package br.com.forlinux.teste;

import static org.junit.Assert.*;

import org.junit.Test;

import br.com.forlinux.bean.Login;

public class LoginTeste {

	@Test
	public void testEmailValido(){
		assertEquals("valido", Login.verificaEmail("linux@4linux.com.br", "linux"));
		assertEquals("valido", Login.verificaLogin("opensource@4linux.com.br", "open123"));
		assertEquals("valido", Login.verificaLogin("curso@4linux.com.br", "curso"));
	}
	@Test 
	public void testEmailValidoDominioDiferente(){
		assertEquals("valido", Login.verificaEmail("camilo@4linux.net", "232"));
		assertEquals("valido", Login.verificaEmail("opensource@open.org", "fre"));
	}
	
		
	@Test
	public void testEmailInvalidoDominio(){
		assertEquals("invalido", Login.verificaEmail("camilo@", "fhtg"));
	}
	
	@Test
	public void testEmailInvalidoEspaco(){
		assertEquals("invalido", Login.verificaEmail("fernando lozano@4linux.com.br", "linu3"));
		assertEquals("invalido", Login.verificaEmail("debian@debian .org", "loiau"));
	}
	
	@Test
	public void testEmailInvalidoSimbolo(){
		assertEquals("invalido", Login.verificaEmail("java$man@4linux.net", "kaju"));
	}
}
